using System.Collections;
using System.Collections.Generic;
using Godot;
using System;
using System.Threading;
using System.Threading.Tasks;



namespace Rokojori
{
  [Tool]
  [GlobalClass]
  public partial class TextureCombinerLayer:Resource
  {
    [Export]
    public TextureCombinerBlendMode blendMode;

    [Export( PropertyHint.Range, "0,1")]
    public float opacity = 1;

    [Export]
    public Texture2D opacityMask;

    [Export]
    public bool visible = true;
    
    public virtual async Task Process( TextureCombinerProcessingRect processingRect )
    {
      return;
    }
  }
}